Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class StrengthType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.StrengthType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:25:56+02:00",
               comments="JAXB RI v2.2.11")
    public class StrengthType

extends Object
implements Serializable

Java class for strengthType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="strengthType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}unitType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StrengthType()`

Method Summary
`BigDecimal` | `getDecimal()` Gets the value of the decimal property.
`UnitType` | `getUnit()` Gets the value of the unit property.
`void` | `setDecimal(BigDecimal value)` Sets the value of the decimal property.
`void` | `setUnit(UnitType value)` Sets the value of the unit property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrengthType

    public StrengthType()

Method Detail

### getDecimal

    public BigDecimal getDecimal()

  Gets the value of the decimal property.

  Returns:
    possible object is `BigDecimal`

### setDecimal

    public void setDecimal(BigDecimal value)

  Sets the value of the decimal property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getUnit

    public UnitType getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `UnitType`

### setUnit

    public void setUnit(UnitType value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `UnitType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPODOLOGIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.